Loading...
Searching...
No Matches
control_hw.c File Reference

CTL HW Plugin Interface. More...

Include dependency graph for control_hw.c:

## Functions

int | snd_ctl_hw_open (snd_ctl_t **handle, const char *name, int card, int mode)
| Creates a new hw control.
int | _snd_ctl_hw_open (snd_ctl_t **handlep, char *name, snd_config_t *root, snd_config_t *conf, int mode)
| Creates a new hw control handle.

## Detailed Description

CTL HW Plugin Interface.

Author
  Jaroslav Kysela perex.nosp@m.@per.nosp@m.ex.cz

Date
  2000

## Function Documentation

## _snd_ctl_hw_open()

int _snd_ctl_hw_open | ( | snd_ctl_t ** | handlep,
|  | char * | name,
|  | snd_config_t * | root,
|  | snd_config_t * | conf,
|  | int | mode
| ) |  |

Creates a new hw control handle.

Parameters

  handlep | Returns created control handle
  name | Name of control device
  root | Root configuration node
  conf | Configuration node with hw PCM description
  mode | Control Mode

Warning
  Using of this function might be dangerous in the sense of compatibility reasons. The prototype might be freely changed in future.

## snd_ctl_hw_open()

int snd_ctl_hw_open | ( | snd_ctl_t ** | handle,
|  | const char * | name,
|  | int | card,
|  | int | mode
| ) |  |

Creates a new hw control.

Parameters

  handle | Returns created control handle
  name | Name of control device
  card | Number of card
  mode | Control mode

Return values

  zero | on success otherwise a negative error code

Warning
  Using of this function might be dangerous in the sense of compatibility reasons. The prototype might be freely changed in future.